# Get the currently-applied promotion codes.

Get the currently-applied promotion codes.

Endpoint: GET /cart/{cart_id}/promotions
Version: 2.0.0

## Path parameters:

  - `cart_id` (string, required)
    Cart ID

## Query parameters:

  - `page` (integer)
    Page number
    Example: 1

  - `page_size` (integer)
    Number of items per page. The maximum allowed value is 500. The default value is 50.
    Example: 10

## Response 200 fields (application/json):

  - `data` (array, required)

  - `data.code` (string,null, required)
    Example: "PROMOCODE"

  - `data.type` (string,null)
    Example: "Fixed Amount"

  - `data.value` (number,null)
    Monetary amount or discount percentage
    Example: 5

  - `data.is_recurring` (boolean,null)

  - `data.number_of_recurring` (integer,null)
    maximum number of times the promotion code will be applied if set
    Example: 5

## Response 404 fields (application/json):

  - `message` (string)


